/*===========================================================================*/
/*   (Ieee/symbol.scm)                                                       */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -stdc -c Ieee/symbol.scm -indent -o objs/obj_s/Ieee/symbol.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___R4_SYMBOLS_6_4_TYPE_DEFINITIONS
#define BGL___R4_SYMBOLS_6_4_TYPE_DEFINITIONS
#endif // BGL___R4_SYMBOLS_6_4_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

BGL_EXPORTED_DECL obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_keywordzd2ze3stringz12z23zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62rempropz12z70zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_symbolzd2existszf3z21zz__r4_symbols_6_4z00(obj_t);
extern obj_t bstring_to_keyword(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL bool_t BGl_keywordzf3zf3zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_keywordzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62keywordzd2ze3stringz53zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62symbolzd2ze3keywordz53zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00(void);
static obj_t BGl_z62symbolzd2plistzb0zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_symbolzf3zf3zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62symbolzf3z91zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62stringzd2ze3keywordz53zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__r4_symbols_6_4z00(void);
static obj_t BGl_z62symbolzd2ze3stringz53zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__r4_symbols_6_4z00(void);
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62putpropz12z70zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00(void);
static obj_t BGl_z62keywordzd2ze3stringz12z41zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__r4_symbols_6_4z00(void);
BGL_EXPORTED_DECL obj_t BGl_symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_objectzd2initzd2zz__r4_symbols_6_4z00(void);
static obj_t BGl_symbolzd2appendze70z35zz__r4_symbols_6_4z00(obj_t);
extern obj_t bgl_gensym(obj_t);
static obj_t BGl_z62symbolzd2appendzb0zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl_z62getpropz62zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62keywordzf3z91zz__r4_symbols_6_4z00(obj_t, obj_t);
static long BGl_za2gensymzd2counterza2zd2zz__r4_symbols_6_4z00 = 0L;
BGL_EXPORTED_DECL obj_t BGl_symbolzd2ze3stringz12z23zz__r4_symbols_6_4z00(obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62symbolzd2ze3stringz12z41zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_methodzd2initzd2zz__r4_symbols_6_4z00(void);
BGL_EXPORTED_DECL obj_t BGl_keywordzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62symbolzd2existszf3z43zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl_z62keywordzd2ze3symbolz53zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl_z62stringzd2ze3symbolzd2ciz81zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_symbolzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl__gensymz00zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl_z62stringzd2ze3symbolz53zz__r4_symbols_6_4z00(obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_symbol1734z00zz__r4_symbols_6_4z00 = BUNSPEC;
extern obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
extern bool_t symbol_exists_p(char *);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE(BGl_stringzd2ze3keywordzd2envze3zz__r4_symbols_6_4z00, BgL_bgl_za762stringza7d2za7e3k1750za7, BGl_z62stringzd2ze3keywordz53zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_rempropz12zd2envzc0zz__r4_symbols_6_4z00, BgL_bgl_za762rempropza712za7701751za7, BGl_z62rempropz12z70zz__r4_symbols_6_4z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_symbolzd2plistzd2envz00zz__r4_symbols_6_4z00, BgL_bgl_za762symbolza7d2plis1752z00, BGl_z62symbolzd2plistzb0zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_keywordzf3zd2envz21zz__r4_symbols_6_4z00, BgL_bgl_za762keywordza7f3za7911753za7, BGl_z62keywordzf3z91zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_keywordzd2ze3symbolzd2envze3zz__r4_symbols_6_4z00, BgL_bgl_za762keywordza7d2za7e31754za7, BGl_z62keywordzd2ze3symbolz53zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_stringzd2ze3symbolzd2cizd2envz31zz__r4_symbols_6_4z00, BgL_bgl_za762stringza7d2za7e3s1755za7, BGl_z62stringzd2ze3symbolzd2ciz81zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_stringzd2ze3symbolzd2envze3zz__r4_symbols_6_4z00, BgL_bgl_za762stringza7d2za7e3s1756za7, BGl_z62stringzd2ze3symbolz53zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_gensymzd2envzd2zz__r4_symbols_6_4z00, BgL_bgl__gensymza700za7za7__r41757za7, opt_generic_entry, BGl__gensymz00zz__r4_symbols_6_4z00, BFALSE, -1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_symbolzf3zd2envz21zz__r4_symbols_6_4z00, BgL_bgl_za762symbolza7f3za791za71758z00, BGl_z62symbolzf3z91zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_symbolzd2existszf3zd2envzf3zz__r4_symbols_6_4z00, BgL_bgl_za762symbolza7d2exis1759z00, BGl_z62symbolzd2existszf3z43zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
BGL_DEFINE_STRING(BGl_string1721z00zz__r4_symbols_6_4z00, BgL_bgl_string1721za700za7za7_1760za7, "/tmp/bigloo/runtime/Ieee/symbol.scm", 35 );
BGL_DEFINE_STRING(BGl_string1722z00zz__r4_symbols_6_4z00, BgL_bgl_string1722za700za7za7_1761za7, "&symbol->string", 15 );
BGL_DEFINE_STRING(BGl_string1723z00zz__r4_symbols_6_4z00, BgL_bgl_string1723za700za7za7_1762za7, "symbol", 6 );
BGL_DEFINE_STRING(BGl_string1724z00zz__r4_symbols_6_4z00, BgL_bgl_string1724za700za7za7_1763za7, "&symbol->string!", 16 );
BGL_DEFINE_STRING(BGl_string1725z00zz__r4_symbols_6_4z00, BgL_bgl_string1725za700za7za7_1764za7, "&string->symbol", 15 );
BGL_DEFINE_STRING(BGl_string1726z00zz__r4_symbols_6_4z00, BgL_bgl_string1726za700za7za7_1765za7, "bstring", 7 );
BGL_DEFINE_STRING(BGl_string1727z00zz__r4_symbols_6_4z00, BgL_bgl_string1727za700za7za7_1766za7, "&string->symbol-ci", 18 );
BGL_DEFINE_STRING(BGl_string1728z00zz__r4_symbols_6_4z00, BgL_bgl_string1728za700za7za7_1767za7, "", 0 );
BGL_DEFINE_STRING(BGl_string1729z00zz__r4_symbols_6_4z00, BgL_bgl_string1729za700za7za7_1768za7, "symbol-append~0", 15 );
BGL_DEFINE_STRING(BGl_string1730z00zz__r4_symbols_6_4z00, BgL_bgl_string1730za700za7za7_1769za7, "pair", 4 );
BGL_DEFINE_STRING(BGl_string1731z00zz__r4_symbols_6_4z00, BgL_bgl_string1731za700za7za7_1770za7, "&symbol-exists?", 15 );
BGL_DEFINE_STRING(BGl_string1732z00zz__r4_symbols_6_4z00, BgL_bgl_string1732za700za7za7_1771za7, "case_else1090", 13 );
BGL_DEFINE_STRING(BGl_string1733z00zz__r4_symbols_6_4z00, BgL_bgl_string1733za700za7za7_1772za7, "vector", 6 );
BGL_DEFINE_STRING(BGl_string1735z00zz__r4_symbols_6_4z00, BgL_bgl_string1735za700za7za7_1773za7, "gensym", 6 );
BGL_DEFINE_STRING(BGl_string1736z00zz__r4_symbols_6_4z00, BgL_bgl_string1736za700za7za7_1774za7, "wrong number of arguments: [0..1] expected, provided", 52 );
BGL_DEFINE_STRING(BGl_string1737z00zz__r4_symbols_6_4z00, BgL_bgl_string1737za700za7za7_1775za7, "_gensym", 7 );
BGL_DEFINE_STRING(BGl_string1738z00zz__r4_symbols_6_4z00, BgL_bgl_string1738za700za7za7_1776za7, "Illegal argument", 16 );
BGL_DEFINE_STRING(BGl_string1739z00zz__r4_symbols_6_4z00, BgL_bgl_string1739za700za7za7_1777za7, "symbol-plist", 12 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_symbolzd2ze3stringzd2envze3zz__r4_symbols_6_4z00, BgL_bgl_za762symbolza7d2za7e3s1778za7, BGl_z62symbolzd2ze3stringz53zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_putpropz12zd2envzc0zz__r4_symbols_6_4z00, BgL_bgl_za762putpropza712za7701779za7, BGl_z62putpropz12z70zz__r4_symbols_6_4z00, 0L, BUNSPEC, 3);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_symbolzd2ze3keywordzd2envze3zz__r4_symbols_6_4z00, BgL_bgl_za762symbolza7d2za7e3k1780za7, BGl_z62symbolzd2ze3keywordz53zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
BGL_DEFINE_STRING(BGl_string1740z00zz__r4_symbols_6_4z00, BgL_bgl_string1740za700za7za7_1781za7, "argument is neither a symbol nor a keyword", 42 );
BGL_DEFINE_STRING(BGl_string1741z00zz__r4_symbols_6_4z00, BgL_bgl_string1741za700za7za7_1782za7, "loop", 4 );
BGL_DEFINE_STRING(BGl_string1742z00zz__r4_symbols_6_4z00, BgL_bgl_string1742za700za7za7_1783za7, "getprop", 7 );
BGL_DEFINE_STRING(BGl_string1743z00zz__r4_symbols_6_4z00, BgL_bgl_string1743za700za7za7_1784za7, "&keyword->string", 16 );
BGL_DEFINE_STRING(BGl_string1744z00zz__r4_symbols_6_4z00, BgL_bgl_string1744za700za7za7_1785za7, "keyword", 7 );
BGL_DEFINE_STRING(BGl_string1745z00zz__r4_symbols_6_4z00, BgL_bgl_string1745za700za7za7_1786za7, "&keyword->string!", 17 );
BGL_DEFINE_STRING(BGl_string1746z00zz__r4_symbols_6_4z00, BgL_bgl_string1746za700za7za7_1787za7, "&string->keyword", 16 );
BGL_DEFINE_STRING(BGl_string1747z00zz__r4_symbols_6_4z00, BgL_bgl_string1747za700za7za7_1788za7, "&symbol->keyword", 16 );
BGL_DEFINE_STRING(BGl_string1748z00zz__r4_symbols_6_4z00, BgL_bgl_string1748za700za7za7_1789za7, "&keyword->symbol", 16 );
BGL_DEFINE_STRING(BGl_string1749z00zz__r4_symbols_6_4z00, BgL_bgl_string1749za700za7za7_1790za7, "__r4_symbols_6_4", 16 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_getpropzd2envzd2zz__r4_symbols_6_4z00, BgL_bgl_za762getpropza762za7za7_1791z00, BGl_z62getpropz62zz__r4_symbols_6_4z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_symbolzd2ze3stringz12zd2envzf1zz__r4_symbols_6_4z00, BgL_bgl_za762symbolza7d2za7e3s1792za7, BGl_z62symbolzd2ze3stringz12z41zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_keywordzd2ze3stringzd2envze3zz__r4_symbols_6_4z00, BgL_bgl_za762keywordza7d2za7e31793za7, BGl_z62keywordzd2ze3stringz53zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_keywordzd2ze3stringz12zd2envzf1zz__r4_symbols_6_4z00, BgL_bgl_za762keywordza7d2za7e31794za7, BGl_z62keywordzd2ze3stringz12z41zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_symbolzd2appendzd2envz00zz__r4_symbols_6_4z00, BgL_bgl_za762symbolza7d2appe1795z00, va_generic_entry, BGl_z62symbolzd2appendzb0zz__r4_symbols_6_4z00, BUNSPEC, -1);

/* contant bindings */
static void bgl_constant_bindings() {
BGL_BIND_PROCEDURE(BGl_symbolzd2appendzd2envz00zz__r4_symbols_6_4z00, BgL_bgl_za762symbolza7d2appe1795z00);
BGL_BIND_PROCEDURE(BGl_keywordzd2ze3stringz12zd2envzf1zz__r4_symbols_6_4z00, BgL_bgl_za762keywordza7d2za7e31794za7);
BGL_BIND_PROCEDURE(BGl_keywordzd2ze3stringzd2envze3zz__r4_symbols_6_4z00, BgL_bgl_za762keywordza7d2za7e31793za7);
BGL_BIND_PROCEDURE(BGl_symbolzd2ze3stringz12zd2envzf1zz__r4_symbols_6_4z00, BgL_bgl_za762symbolza7d2za7e3s1792za7);
BGL_BIND_PROCEDURE(BGl_getpropzd2envzd2zz__r4_symbols_6_4z00, BgL_bgl_za762getpropza762za7za7_1791z00);
BGL_BIND_STRING(BGl_string1749z00zz__r4_symbols_6_4z00, BgL_bgl_string1749za700za7za7_1790za7);
BGL_BIND_STRING(BGl_string1748z00zz__r4_symbols_6_4z00, BgL_bgl_string1748za700za7za7_1789za7);
BGL_BIND_STRING(BGl_string1747z00zz__r4_symbols_6_4z00, BgL_bgl_string1747za700za7za7_1788za7);
BGL_BIND_STRING(BGl_string1746z00zz__r4_symbols_6_4z00, BgL_bgl_string1746za700za7za7_1787za7);
BGL_BIND_STRING(BGl_string1745z00zz__r4_symbols_6_4z00, BgL_bgl_string1745za700za7za7_1786za7);
BGL_BIND_STRING(BGl_string1744z00zz__r4_symbols_6_4z00, BgL_bgl_string1744za700za7za7_1785za7);
BGL_BIND_STRING(BGl_string1743z00zz__r4_symbols_6_4z00, BgL_bgl_string1743za700za7za7_1784za7);
BGL_BIND_STRING(BGl_string1742z00zz__r4_symbols_6_4z00, BgL_bgl_string1742za700za7za7_1783za7);
BGL_BIND_STRING(BGl_string1741z00zz__r4_symbols_6_4z00, BgL_bgl_string1741za700za7za7_1782za7);
BGL_BIND_STRING(BGl_string1740z00zz__r4_symbols_6_4z00, BgL_bgl_string1740za700za7za7_1781za7);
BGL_BIND_PROCEDURE(BGl_symbolzd2ze3keywordzd2envze3zz__r4_symbols_6_4z00, BgL_bgl_za762symbolza7d2za7e3k1780za7);
BGL_BIND_PROCEDURE(BGl_putpropz12zd2envzc0zz__r4_symbols_6_4z00, BgL_bgl_za762putpropza712za7701779za7);
BGL_BIND_PROCEDURE(BGl_symbolzd2ze3stringzd2envze3zz__r4_symbols_6_4z00, BgL_bgl_za762symbolza7d2za7e3s1778za7);
BGL_BIND_STRING(BGl_string1739z00zz__r4_symbols_6_4z00, BgL_bgl_string1739za700za7za7_1777za7);
BGL_BIND_STRING(BGl_string1738z00zz__r4_symbols_6_4z00, BgL_bgl_string1738za700za7za7_1776za7);
BGL_BIND_STRING(BGl_string1737z00zz__r4_symbols_6_4z00, BgL_bgl_string1737za700za7za7_1775za7);
BGL_BIND_STRING(BGl_string1736z00zz__r4_symbols_6_4z00, BgL_bgl_string1736za700za7za7_1774za7);
BGL_BIND_STRING(BGl_string1735z00zz__r4_symbols_6_4z00, BgL_bgl_string1735za700za7za7_1773za7);
BGL_BIND_STRING(BGl_string1733z00zz__r4_symbols_6_4z00, BgL_bgl_string1733za700za7za7_1772za7);
BGL_BIND_STRING(BGl_string1732z00zz__r4_symbols_6_4z00, BgL_bgl_string1732za700za7za7_1771za7);
BGL_BIND_STRING(BGl_string1731z00zz__r4_symbols_6_4z00, BgL_bgl_string1731za700za7za7_1770za7);
BGL_BIND_STRING(BGl_string1730z00zz__r4_symbols_6_4z00, BgL_bgl_string1730za700za7za7_1769za7);
BGL_BIND_STRING(BGl_string1729z00zz__r4_symbols_6_4z00, BgL_bgl_string1729za700za7za7_1768za7);
BGL_BIND_STRING(BGl_string1728z00zz__r4_symbols_6_4z00, BgL_bgl_string1728za700za7za7_1767za7);
BGL_BIND_STRING(BGl_string1727z00zz__r4_symbols_6_4z00, BgL_bgl_string1727za700za7za7_1766za7);
BGL_BIND_STRING(BGl_string1726z00zz__r4_symbols_6_4z00, BgL_bgl_string1726za700za7za7_1765za7);
BGL_BIND_STRING(BGl_string1725z00zz__r4_symbols_6_4z00, BgL_bgl_string1725za700za7za7_1764za7);
BGL_BIND_STRING(BGl_string1724z00zz__r4_symbols_6_4z00, BgL_bgl_string1724za700za7za7_1763za7);
BGL_BIND_STRING(BGl_string1723z00zz__r4_symbols_6_4z00, BgL_bgl_string1723za700za7za7_1762za7);
BGL_BIND_STRING(BGl_string1722z00zz__r4_symbols_6_4z00, BgL_bgl_string1722za700za7za7_1761za7);
BGL_BIND_STRING(BGl_string1721z00zz__r4_symbols_6_4z00, BgL_bgl_string1721za700za7za7_1760za7);
BGL_BIND_PROCEDURE(BGl_symbolzd2existszf3zd2envzf3zz__r4_symbols_6_4z00, BgL_bgl_za762symbolza7d2exis1759z00);
BGL_BIND_PROCEDURE(BGl_symbolzf3zd2envz21zz__r4_symbols_6_4z00, BgL_bgl_za762symbolza7f3za791za71758z00);
BGL_BIND_PROCEDURE(BGl_gensymzd2envzd2zz__r4_symbols_6_4z00, BgL_bgl__gensymza700za7za7__r41757za7);
BGL_BIND_PROCEDURE(BGl_stringzd2ze3symbolzd2envze3zz__r4_symbols_6_4z00, BgL_bgl_za762stringza7d2za7e3s1756za7);
BGL_BIND_PROCEDURE(BGl_stringzd2ze3symbolzd2cizd2envz31zz__r4_symbols_6_4z00, BgL_bgl_za762stringza7d2za7e3s1755za7);
BGL_BIND_PROCEDURE(BGl_keywordzd2ze3symbolzd2envze3zz__r4_symbols_6_4z00, BgL_bgl_za762keywordza7d2za7e31754za7);
BGL_BIND_PROCEDURE(BGl_keywordzf3zd2envz21zz__r4_symbols_6_4z00, BgL_bgl_za762keywordza7f3za7911753za7);
BGL_BIND_PROCEDURE(BGl_symbolzd2plistzd2envz00zz__r4_symbols_6_4z00, BgL_bgl_za762symbolza7d2plis1752z00);
BGL_BIND_PROCEDURE(BGl_rempropz12zd2envzc0zz__r4_symbols_6_4z00, BgL_bgl_za762rempropza712za7701751za7);
BGL_BIND_PROCEDURE(BGl_stringzd2ze3keywordzd2envze3zz__r4_symbols_6_4z00, BgL_bgl_za762stringza7d2za7e3k1750za7);
}

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00) );
ADD_ROOT( (void *)(&BGl_symbol1734z00zz__r4_symbols_6_4z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long BgL_checksumz00_1956, char * BgL_fromz00_1957)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00 = 
BBOOL(((bool_t)0)); 
bgl_constant_bindings(); 
BGl_gczd2rootszd2initz00zz__r4_symbols_6_4z00(); 
BGl_cnstzd2initzd2zz__r4_symbols_6_4z00(); 
BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00(); 
return 
BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__r4_symbols_6_4z00(void)
{
{ /* Ieee/symbol.scm 14 */
return ( 
BGl_symbol1734z00zz__r4_symbols_6_4z00 = 
bstring_to_symbol(BGl_string1735z00zz__r4_symbols_6_4z00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__r4_symbols_6_4z00(void)
{
{ /* Ieee/symbol.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00(void)
{
{ /* Ieee/symbol.scm 14 */
return ( 
BGl_za2gensymzd2counterza2zd2zz__r4_symbols_6_4z00 = 999L, BUNSPEC) ;} 

}



/* symbol? */
BGL_EXPORTED_DEF bool_t BGl_symbolzf3zf3zz__r4_symbols_6_4z00(obj_t BgL_objz00_3)
{
{ /* Ieee/symbol.scm 167 */
return 
SYMBOLP(BgL_objz00_3);} 

}



/* &symbol? */
obj_t BGl_z62symbolzf3z91zz__r4_symbols_6_4z00(obj_t BgL_envz00_1837, obj_t BgL_objz00_1838)
{
{ /* Ieee/symbol.scm 167 */
return 
BBOOL(
BGl_symbolzf3zf3zz__r4_symbols_6_4z00(BgL_objz00_1838));} 

}



/* symbol->string */
BGL_EXPORTED_DEF obj_t BGl_symbolzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_4)
{
{ /* Ieee/symbol.scm 173 */
{ /* Ieee/symbol.scm 174 */
 obj_t BgL_arg1163z00_1954;
BgL_arg1163z00_1954 = 
SYMBOL_TO_STRING(BgL_symbolz00_4); 
return 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1163z00_1954);} } 

}



/* &symbol->string */
obj_t BGl_z62symbolzd2ze3stringz53zz__r4_symbols_6_4z00(obj_t BgL_envz00_1839, obj_t BgL_symbolz00_1840)
{
{ /* Ieee/symbol.scm 173 */
{ /* Ieee/symbol.scm 174 */
 obj_t BgL_auxz00_1973;
if(
SYMBOLP(BgL_symbolz00_1840))
{ /* Ieee/symbol.scm 174 */
BgL_auxz00_1973 = BgL_symbolz00_1840
; }  else 
{ 
 obj_t BgL_auxz00_1976;
BgL_auxz00_1976 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(7298L), BGl_string1722z00zz__r4_symbols_6_4z00, BGl_string1723z00zz__r4_symbols_6_4z00, BgL_symbolz00_1840); 
FAILURE(BgL_auxz00_1976,BFALSE,BFALSE);} 
return 
BGl_symbolzd2ze3stringz31zz__r4_symbols_6_4z00(BgL_auxz00_1973);} } 

}



/* symbol->string! */
BGL_EXPORTED_DEF obj_t BGl_symbolzd2ze3stringz12z23zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_5)
{
{ /* Ieee/symbol.scm 179 */
return 
SYMBOL_TO_STRING(BgL_symbolz00_5);} 

}



/* &symbol->string! */
obj_t BGl_z62symbolzd2ze3stringz12z41zz__r4_symbols_6_4z00(obj_t BgL_envz00_1841, obj_t BgL_symbolz00_1842)
{
{ /* Ieee/symbol.scm 179 */
{ /* Ieee/symbol.scm 180 */
 obj_t BgL_auxz00_1982;
if(
SYMBOLP(BgL_symbolz00_1842))
{ /* Ieee/symbol.scm 180 */
BgL_auxz00_1982 = BgL_symbolz00_1842
; }  else 
{ 
 obj_t BgL_auxz00_1985;
BgL_auxz00_1985 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(7592L), BGl_string1724z00zz__r4_symbols_6_4z00, BGl_string1723z00zz__r4_symbols_6_4z00, BgL_symbolz00_1842); 
FAILURE(BgL_auxz00_1985,BFALSE,BFALSE);} 
return 
BGl_symbolzd2ze3stringz12z23zz__r4_symbols_6_4z00(BgL_auxz00_1982);} } 

}



/* string->symbol */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t BgL_stringz00_6)
{
{ /* Ieee/symbol.scm 185 */
BGL_TAIL return 
bstring_to_symbol(BgL_stringz00_6);} 

}



/* &string->symbol */
obj_t BGl_z62stringzd2ze3symbolz53zz__r4_symbols_6_4z00(obj_t BgL_envz00_1843, obj_t BgL_stringz00_1844)
{
{ /* Ieee/symbol.scm 185 */
{ /* Ieee/symbol.scm 188 */
 obj_t BgL_auxz00_1991;
if(
STRINGP(BgL_stringz00_1844))
{ /* Ieee/symbol.scm 188 */
BgL_auxz00_1991 = BgL_stringz00_1844
; }  else 
{ 
 obj_t BgL_auxz00_1994;
BgL_auxz00_1994 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(7936L), BGl_string1725z00zz__r4_symbols_6_4z00, BGl_string1726z00zz__r4_symbols_6_4z00, BgL_stringz00_1844); 
FAILURE(BgL_auxz00_1994,BFALSE,BFALSE);} 
return 
BGl_stringzd2ze3symbolz31zz__r4_symbols_6_4z00(BgL_auxz00_1991);} } 

}



/* string->symbol-ci */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(obj_t BgL_stringz00_7)
{
{ /* Ieee/symbol.scm 195 */
BGL_TAIL return 
bstring_to_symbol(
BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(BgL_stringz00_7));} 

}



/* &string->symbol-ci */
obj_t BGl_z62stringzd2ze3symbolzd2ciz81zz__r4_symbols_6_4z00(obj_t BgL_envz00_1845, obj_t BgL_stringz00_1846)
{
{ /* Ieee/symbol.scm 195 */
{ /* Ieee/symbol.scm 196 */
 obj_t BgL_auxz00_2001;
if(
STRINGP(BgL_stringz00_1846))
{ /* Ieee/symbol.scm 196 */
BgL_auxz00_2001 = BgL_stringz00_1846
; }  else 
{ 
 obj_t BgL_auxz00_2004;
BgL_auxz00_2004 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(8289L), BGl_string1727z00zz__r4_symbols_6_4z00, BGl_string1726z00zz__r4_symbols_6_4z00, BgL_stringz00_1846); 
FAILURE(BgL_auxz00_2004,BFALSE,BFALSE);} 
return 
BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(BgL_auxz00_2001);} } 

}



/* symbol-append */
BGL_EXPORTED_DEF obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t BgL_listz00_8)
{
{ /* Ieee/symbol.scm 201 */
{ /* Ieee/symbol.scm 203 */
 obj_t BgL_arg1169z00_1090;
if(
NULLP(BgL_listz00_8))
{ /* Ieee/symbol.scm 203 */
BgL_arg1169z00_1090 = BGl_string1728z00zz__r4_symbols_6_4z00; }  else 
{ /* Ieee/symbol.scm 203 */
BgL_arg1169z00_1090 = 
BGl_symbolzd2appendze70z35zz__r4_symbols_6_4z00(BgL_listz00_8); } 
return 
bstring_to_symbol(BgL_arg1169z00_1090);} } 

}



/* symbol-append~0 */
obj_t BGl_symbolzd2appendze70z35zz__r4_symbols_6_4z00(obj_t BgL_listz00_1093)
{
{ /* Ieee/symbol.scm 205 */
{ /* Ieee/symbol.scm 206 */
 bool_t BgL_test1802z00_2013;
{ /* Ieee/symbol.scm 206 */
 obj_t BgL_tmpz00_2014;
{ /* Ieee/symbol.scm 206 */
 obj_t BgL_pairz00_1579;
if(
PAIRP(BgL_listz00_1093))
{ /* Ieee/symbol.scm 206 */
BgL_pairz00_1579 = BgL_listz00_1093; }  else 
{ 
 obj_t BgL_auxz00_2017;
BgL_auxz00_2017 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(8666L), BGl_string1729z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_listz00_1093); 
FAILURE(BgL_auxz00_2017,BFALSE,BFALSE);} 
BgL_tmpz00_2014 = 
CDR(BgL_pairz00_1579); } 
BgL_test1802z00_2013 = 
NULLP(BgL_tmpz00_2014); } 
if(BgL_test1802z00_2013)
{ /* Ieee/symbol.scm 207 */
 obj_t BgL_arg1189z00_1097;
{ /* Ieee/symbol.scm 207 */
 obj_t BgL_pairz00_1580;
if(
PAIRP(BgL_listz00_1093))
{ /* Ieee/symbol.scm 207 */
BgL_pairz00_1580 = BgL_listz00_1093; }  else 
{ 
 obj_t BgL_auxz00_2025;
BgL_auxz00_2025 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(8702L), BGl_string1729z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_listz00_1093); 
FAILURE(BgL_auxz00_2025,BFALSE,BFALSE);} 
BgL_arg1189z00_1097 = 
CAR(BgL_pairz00_1580); } 
{ /* Ieee/symbol.scm 207 */
 obj_t BgL_symbolz00_1581;
if(
SYMBOLP(BgL_arg1189z00_1097))
{ /* Ieee/symbol.scm 207 */
BgL_symbolz00_1581 = BgL_arg1189z00_1097; }  else 
{ 
 obj_t BgL_auxz00_2032;
BgL_auxz00_2032 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(8706L), BGl_string1729z00zz__r4_symbols_6_4z00, BGl_string1723z00zz__r4_symbols_6_4z00, BgL_arg1189z00_1097); 
FAILURE(BgL_auxz00_2032,BFALSE,BFALSE);} 
{ /* Ieee/symbol.scm 174 */
 obj_t BgL_arg1163z00_1582;
BgL_arg1163z00_1582 = 
SYMBOL_TO_STRING(BgL_symbolz00_1581); 
return 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1163z00_1582);} } }  else 
{ /* Ieee/symbol.scm 208 */
 obj_t BgL_arg1192z00_1098; obj_t BgL_arg1193z00_1099;
{ /* Ieee/symbol.scm 208 */
 obj_t BgL_arg1194z00_1100;
{ /* Ieee/symbol.scm 208 */
 obj_t BgL_pairz00_1583;
if(
PAIRP(BgL_listz00_1093))
{ /* Ieee/symbol.scm 208 */
BgL_pairz00_1583 = BgL_listz00_1093; }  else 
{ 
 obj_t BgL_auxz00_2040;
BgL_auxz00_2040 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(8754L), BGl_string1729z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_listz00_1093); 
FAILURE(BgL_auxz00_2040,BFALSE,BFALSE);} 
BgL_arg1194z00_1100 = 
CAR(BgL_pairz00_1583); } 
{ /* Ieee/symbol.scm 208 */
 obj_t BgL_symbolz00_1584;
if(
SYMBOLP(BgL_arg1194z00_1100))
{ /* Ieee/symbol.scm 208 */
BgL_symbolz00_1584 = BgL_arg1194z00_1100; }  else 
{ 
 obj_t BgL_auxz00_2047;
BgL_auxz00_2047 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(8758L), BGl_string1729z00zz__r4_symbols_6_4z00, BGl_string1723z00zz__r4_symbols_6_4z00, BgL_arg1194z00_1100); 
FAILURE(BgL_auxz00_2047,BFALSE,BFALSE);} 
{ /* Ieee/symbol.scm 174 */
 obj_t BgL_arg1163z00_1585;
BgL_arg1163z00_1585 = 
SYMBOL_TO_STRING(BgL_symbolz00_1584); 
BgL_arg1192z00_1098 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1163z00_1585); } } } 
{ /* Ieee/symbol.scm 209 */
 obj_t BgL_arg1195z00_1101;
{ /* Ieee/symbol.scm 209 */
 obj_t BgL_pairz00_1586;
if(
PAIRP(BgL_listz00_1093))
{ /* Ieee/symbol.scm 209 */
BgL_pairz00_1586 = BgL_listz00_1093; }  else 
{ 
 obj_t BgL_auxz00_2055;
BgL_auxz00_2055 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(8791L), BGl_string1729z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_listz00_1093); 
FAILURE(BgL_auxz00_2055,BFALSE,BFALSE);} 
BgL_arg1195z00_1101 = 
CDR(BgL_pairz00_1586); } 
BgL_arg1193z00_1099 = 
BGl_symbolzd2appendze70z35zz__r4_symbols_6_4z00(BgL_arg1195z00_1101); } 
return 
string_append(BgL_arg1192z00_1098, BgL_arg1193z00_1099);} } } 

}



/* &symbol-append */
obj_t BGl_z62symbolzd2appendzb0zz__r4_symbols_6_4z00(obj_t BgL_envz00_1847, obj_t BgL_listz00_1848)
{
{ /* Ieee/symbol.scm 201 */
return 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_listz00_1848);} 

}



/* symbol-exists? */
BGL_EXPORTED_DEF bool_t BGl_symbolzd2existszf3z21zz__r4_symbols_6_4z00(obj_t BgL_symz00_9)
{
{ /* Ieee/symbol.scm 219 */
return 
symbol_exists_p(
BSTRING_TO_STRING(BgL_symz00_9));} 

}



/* &symbol-exists? */
obj_t BGl_z62symbolzd2existszf3z43zz__r4_symbols_6_4z00(obj_t BgL_envz00_1849, obj_t BgL_symz00_1850)
{
{ /* Ieee/symbol.scm 219 */
{ /* Ieee/symbol.scm 220 */
 bool_t BgL_tmpz00_2065;
{ /* Ieee/symbol.scm 220 */
 obj_t BgL_auxz00_2066;
if(
STRINGP(BgL_symz00_1850))
{ /* Ieee/symbol.scm 220 */
BgL_auxz00_2066 = BgL_symz00_1850
; }  else 
{ 
 obj_t BgL_auxz00_2069;
BgL_auxz00_2069 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(9319L), BGl_string1731z00zz__r4_symbols_6_4z00, BGl_string1726z00zz__r4_symbols_6_4z00, BgL_symz00_1850); 
FAILURE(BgL_auxz00_2069,BFALSE,BFALSE);} 
BgL_tmpz00_2065 = 
BGl_symbolzd2existszf3z21zz__r4_symbols_6_4z00(BgL_auxz00_2066); } 
return 
BBOOL(BgL_tmpz00_2065);} } 

}



/* _gensym */
obj_t BGl__gensymz00zz__r4_symbols_6_4z00(obj_t BgL_env1089z00_12, obj_t BgL_opt1088z00_11)
{
{ /* Ieee/symbol.scm 225 */
{ /* Ieee/symbol.scm 225 */

{ 

{ /* Ieee/symbol.scm 225 */
 long BgL_aux1091z00_1105;
{ 
 obj_t BgL_auxz00_2075;
if(
VECTORP(BgL_opt1088z00_11))
{ /* Ieee/symbol.scm 225 */
BgL_auxz00_2075 = BgL_opt1088z00_11
; }  else 
{ 
 obj_t BgL_auxz00_2078;
BgL_auxz00_2078 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(9565L), BGl_string1737z00zz__r4_symbols_6_4z00, BGl_string1733z00zz__r4_symbols_6_4z00, BgL_opt1088z00_11); 
FAILURE(BgL_auxz00_2078,BFALSE,BFALSE);} 
BgL_aux1091z00_1105 = 
VECTOR_LENGTH(BgL_auxz00_2075); } 
switch( BgL_aux1091z00_1105) { case 0L : 

{ /* Ieee/symbol.scm 225 */

return 
BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);} break;case 1L : 

{ /* Ieee/symbol.scm 225 */
 obj_t BgL_argz00_1107;
{ 
 obj_t BgL_auxz00_2084;
if(
VECTORP(BgL_opt1088z00_11))
{ /* Ieee/symbol.scm 225 */
BgL_auxz00_2084 = BgL_opt1088z00_11
; }  else 
{ 
 obj_t BgL_auxz00_2087;
BgL_auxz00_2087 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(9565L), BGl_string1737z00zz__r4_symbols_6_4z00, BGl_string1733z00zz__r4_symbols_6_4z00, BgL_opt1088z00_11); 
FAILURE(BgL_auxz00_2087,BFALSE,BFALSE);} 
BgL_argz00_1107 = 
VECTOR_REF(BgL_auxz00_2084,0L); } 
{ /* Ieee/symbol.scm 225 */

return 
BGl_gensymz00zz__r4_symbols_6_4z00(BgL_argz00_1107);} } break;
default: 
{ /* Ieee/symbol.scm 225 */
 long BgL_arg1197z00_1108;
{ 
 obj_t BgL_auxz00_2093;
if(
VECTORP(BgL_opt1088z00_11))
{ /* Ieee/symbol.scm 225 */
BgL_auxz00_2093 = BgL_opt1088z00_11
; }  else 
{ 
 obj_t BgL_auxz00_2096;
BgL_auxz00_2096 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(9565L), BGl_string1732z00zz__r4_symbols_6_4z00, BGl_string1733z00zz__r4_symbols_6_4z00, BgL_opt1088z00_11); 
FAILURE(BgL_auxz00_2096,BFALSE,BFALSE);} 
BgL_arg1197z00_1108 = 
VECTOR_LENGTH(BgL_auxz00_2093); } 
return 
BGl_errorz00zz__errorz00(BGl_symbol1734z00zz__r4_symbols_6_4z00, BGl_string1736z00zz__r4_symbols_6_4z00, 
BINT(BgL_arg1197z00_1108));} } } } } } 

}



/* gensym */
BGL_EXPORTED_DEF obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t BgL_argz00_10)
{
{ /* Ieee/symbol.scm 225 */
{ /* Ieee/symbol.scm 228 */
 obj_t BgL_argz00_1109;
if(
CBOOL(BgL_argz00_10))
{ /* Ieee/symbol.scm 229 */
if(
SYMBOLP(BgL_argz00_10))
{ /* Ieee/symbol.scm 174 */
 obj_t BgL_arg1163z00_1589;
BgL_arg1163z00_1589 = 
SYMBOL_TO_STRING(BgL_argz00_10); 
BgL_argz00_1109 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1163z00_1589); }  else 
{ /* Ieee/symbol.scm 230 */
if(
STRINGP(BgL_argz00_10))
{ /* Ieee/symbol.scm 231 */
BgL_argz00_1109 = BgL_argz00_10; }  else 
{ /* Ieee/symbol.scm 231 */
BgL_argz00_1109 = 
BGl_errorz00zz__errorz00(BGl_string1735z00zz__r4_symbols_6_4z00, BGl_string1738z00zz__r4_symbols_6_4z00, BgL_argz00_10); } } }  else 
{ /* Ieee/symbol.scm 229 */
BgL_argz00_1109 = BgL_argz00_10; } 
BGL_TAIL return 
bgl_gensym(BgL_argz00_1109);} } 

}



/* symbol-plist */
BGL_EXPORTED_DEF obj_t BGl_symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_13)
{
{ /* Ieee/symbol.scm 251 */
if(
SYMBOLP(BgL_symbolz00_13))
{ /* Ieee/symbol.scm 253 */
return 
GET_SYMBOL_PLIST(BgL_symbolz00_13);}  else 
{ /* Ieee/symbol.scm 253 */
if(
KEYWORDP(BgL_symbolz00_13))
{ /* Ieee/symbol.scm 255 */
return 
GET_KEYWORD_PLIST(BgL_symbolz00_13);}  else 
{ /* Ieee/symbol.scm 255 */
return 
BGl_errorz00zz__errorz00(BGl_string1739z00zz__r4_symbols_6_4z00, BGl_string1740z00zz__r4_symbols_6_4z00, BgL_symbolz00_13);} } } 

}



/* &symbol-plist */
obj_t BGl_z62symbolzd2plistzb0zz__r4_symbols_6_4z00(obj_t BgL_envz00_1851, obj_t BgL_symbolz00_1852)
{
{ /* Ieee/symbol.scm 251 */
return 
BGl_symbolzd2plistzd2zz__r4_symbols_6_4z00(BgL_symbolz00_1852);} 

}



/* getprop */
BGL_EXPORTED_DEF obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_14, obj_t BgL_keyz00_15)
{
{ /* Ieee/symbol.scm 265 */
{ /* Ieee/symbol.scm 266 */
 bool_t BgL_test1818z00_2122;
if(
SYMBOLP(BgL_symbolz00_14))
{ /* Ieee/symbol.scm 266 */
BgL_test1818z00_2122 = ((bool_t)1)
; }  else 
{ /* Ieee/symbol.scm 266 */
BgL_test1818z00_2122 = 
KEYWORDP(BgL_symbolz00_14)
; } 
if(BgL_test1818z00_2122)
{ /* Ieee/symbol.scm 267 */
 obj_t BgL_g1040z00_1116;
if(
SYMBOLP(BgL_symbolz00_14))
{ /* Ieee/symbol.scm 253 */
BgL_g1040z00_1116 = 
GET_SYMBOL_PLIST(BgL_symbolz00_14); }  else 
{ /* Ieee/symbol.scm 253 */
if(
KEYWORDP(BgL_symbolz00_14))
{ /* Ieee/symbol.scm 255 */
BgL_g1040z00_1116 = 
GET_KEYWORD_PLIST(BgL_symbolz00_14); }  else 
{ /* Ieee/symbol.scm 255 */
BgL_g1040z00_1116 = 
BGl_errorz00zz__errorz00(BGl_string1739z00zz__r4_symbols_6_4z00, BGl_string1740z00zz__r4_symbols_6_4z00, BgL_symbolz00_14); } } 
{ 
 obj_t BgL_plz00_1118;
BgL_plz00_1118 = BgL_g1040z00_1116; 
BgL_zc3z04anonymousza31204ze3z87_1119:
if(
NULLP(BgL_plz00_1118))
{ /* Ieee/symbol.scm 269 */
return BFALSE;}  else 
{ /* Ieee/symbol.scm 271 */
 bool_t BgL_test1823z00_2135;
{ /* Ieee/symbol.scm 271 */
 obj_t BgL_tmpz00_2136;
{ /* Ieee/symbol.scm 271 */
 obj_t BgL_pairz00_1594;
if(
PAIRP(BgL_plz00_1118))
{ /* Ieee/symbol.scm 271 */
BgL_pairz00_1594 = BgL_plz00_1118; }  else 
{ 
 obj_t BgL_auxz00_2139;
BgL_auxz00_2139 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(11136L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_plz00_1118); 
FAILURE(BgL_auxz00_2139,BFALSE,BFALSE);} 
BgL_tmpz00_2136 = 
CAR(BgL_pairz00_1594); } 
BgL_test1823z00_2135 = 
(BgL_tmpz00_2136==BgL_keyz00_15); } 
if(BgL_test1823z00_2135)
{ /* Ieee/symbol.scm 272 */
 obj_t BgL_pairz00_1595;
if(
PAIRP(BgL_plz00_1118))
{ /* Ieee/symbol.scm 272 */
BgL_pairz00_1595 = BgL_plz00_1118; }  else 
{ 
 obj_t BgL_auxz00_2147;
BgL_auxz00_2147 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(11158L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_plz00_1118); 
FAILURE(BgL_auxz00_2147,BFALSE,BFALSE);} 
{ /* Ieee/symbol.scm 272 */
 obj_t BgL_pairz00_1598;
{ /* Ieee/symbol.scm 272 */
 obj_t BgL_aux1675z00_1907;
BgL_aux1675z00_1907 = 
CDR(BgL_pairz00_1595); 
if(
PAIRP(BgL_aux1675z00_1907))
{ /* Ieee/symbol.scm 272 */
BgL_pairz00_1598 = BgL_aux1675z00_1907; }  else 
{ 
 obj_t BgL_auxz00_2154;
BgL_auxz00_2154 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(11152L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_aux1675z00_1907); 
FAILURE(BgL_auxz00_2154,BFALSE,BFALSE);} } 
return 
CAR(BgL_pairz00_1598);} }  else 
{ /* Ieee/symbol.scm 274 */
 obj_t BgL_arg1208z00_1123;
{ /* Ieee/symbol.scm 274 */
 obj_t BgL_pairz00_1599;
if(
PAIRP(BgL_plz00_1118))
{ /* Ieee/symbol.scm 274 */
BgL_pairz00_1599 = BgL_plz00_1118; }  else 
{ 
 obj_t BgL_auxz00_2161;
BgL_auxz00_2161 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(11194L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_plz00_1118); 
FAILURE(BgL_auxz00_2161,BFALSE,BFALSE);} 
{ /* Ieee/symbol.scm 274 */
 obj_t BgL_pairz00_1602;
{ /* Ieee/symbol.scm 274 */
 obj_t BgL_aux1679z00_1911;
BgL_aux1679z00_1911 = 
CDR(BgL_pairz00_1599); 
if(
PAIRP(BgL_aux1679z00_1911))
{ /* Ieee/symbol.scm 274 */
BgL_pairz00_1602 = BgL_aux1679z00_1911; }  else 
{ 
 obj_t BgL_auxz00_2168;
BgL_auxz00_2168 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(11188L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_aux1679z00_1911); 
FAILURE(BgL_auxz00_2168,BFALSE,BFALSE);} } 
BgL_arg1208z00_1123 = 
CDR(BgL_pairz00_1602); } } 
{ 
 obj_t BgL_plz00_2173;
BgL_plz00_2173 = BgL_arg1208z00_1123; 
BgL_plz00_1118 = BgL_plz00_2173; 
goto BgL_zc3z04anonymousza31204ze3z87_1119;} } } } }  else 
{ /* Ieee/symbol.scm 266 */
return 
BGl_errorz00zz__errorz00(BGl_string1742z00zz__r4_symbols_6_4z00, BGl_string1740z00zz__r4_symbols_6_4z00, BgL_symbolz00_14);} } } 

}



/* &getprop */
obj_t BGl_z62getpropz62zz__r4_symbols_6_4z00(obj_t BgL_envz00_1853, obj_t BgL_symbolz00_1854, obj_t BgL_keyz00_1855)
{
{ /* Ieee/symbol.scm 265 */
return 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_symbolz00_1854, BgL_keyz00_1855);} 

}



/* putprop! */
BGL_EXPORTED_DEF obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_16, obj_t BgL_keyz00_17, obj_t BgL_valz00_18)
{
{ /* Ieee/symbol.scm 280 */
{ /* Ieee/symbol.scm 281 */
 bool_t BgL_test1829z00_2176;
if(
SYMBOLP(BgL_symbolz00_16))
{ /* Ieee/symbol.scm 281 */
BgL_test1829z00_2176 = ((bool_t)1)
; }  else 
{ /* Ieee/symbol.scm 281 */
BgL_test1829z00_2176 = 
KEYWORDP(BgL_symbolz00_16)
; } 
if(BgL_test1829z00_2176)
{ /* Ieee/symbol.scm 282 */
 obj_t BgL_g1041z00_1129;
if(
SYMBOLP(BgL_symbolz00_16))
{ /* Ieee/symbol.scm 253 */
BgL_g1041z00_1129 = 
GET_SYMBOL_PLIST(BgL_symbolz00_16); }  else 
{ /* Ieee/symbol.scm 253 */
if(
KEYWORDP(BgL_symbolz00_16))
{ /* Ieee/symbol.scm 255 */
BgL_g1041z00_1129 = 
GET_KEYWORD_PLIST(BgL_symbolz00_16); }  else 
{ /* Ieee/symbol.scm 255 */
BgL_g1041z00_1129 = 
BGl_errorz00zz__errorz00(BGl_string1739z00zz__r4_symbols_6_4z00, BGl_string1740z00zz__r4_symbols_6_4z00, BgL_symbolz00_16); } } 
{ 
 obj_t BgL_plz00_1131;
BgL_plz00_1131 = BgL_g1041z00_1129; 
BgL_zc3z04anonymousza31214ze3z87_1132:
if(
NULLP(BgL_plz00_1131))
{ /* Ieee/symbol.scm 285 */
 obj_t BgL_newz00_1134;
{ /* Ieee/symbol.scm 285 */
 obj_t BgL_arg1217z00_1136;
{ /* Ieee/symbol.scm 285 */
 obj_t BgL_arg1219z00_1137;
if(
SYMBOLP(BgL_symbolz00_16))
{ /* Ieee/symbol.scm 253 */
BgL_arg1219z00_1137 = 
GET_SYMBOL_PLIST(BgL_symbolz00_16); }  else 
{ /* Ieee/symbol.scm 253 */
if(
KEYWORDP(BgL_symbolz00_16))
{ /* Ieee/symbol.scm 255 */
BgL_arg1219z00_1137 = 
GET_KEYWORD_PLIST(BgL_symbolz00_16); }  else 
{ /* Ieee/symbol.scm 255 */
BgL_arg1219z00_1137 = 
BGl_errorz00zz__errorz00(BGl_string1739z00zz__r4_symbols_6_4z00, BGl_string1740z00zz__r4_symbols_6_4z00, BgL_symbolz00_16); } } 
BgL_arg1217z00_1136 = 
MAKE_YOUNG_PAIR(BgL_valz00_18, BgL_arg1219z00_1137); } 
BgL_newz00_1134 = 
MAKE_YOUNG_PAIR(BgL_keyz00_17, BgL_arg1217z00_1136); } 
if(
SYMBOLP(BgL_symbolz00_16))
{ /* Ieee/symbol.scm 286 */
SET_SYMBOL_PLIST(BgL_symbolz00_16, BgL_newz00_1134); }  else 
{ /* Ieee/symbol.scm 286 */
SET_KEYWORD_PLIST(BgL_symbolz00_16, BgL_newz00_1134); } 
return BgL_newz00_1134;}  else 
{ /* Ieee/symbol.scm 290 */
 bool_t BgL_test1837z00_2202;
{ /* Ieee/symbol.scm 290 */
 obj_t BgL_tmpz00_2203;
{ /* Ieee/symbol.scm 290 */
 obj_t BgL_pairz00_1607;
if(
PAIRP(BgL_plz00_1131))
{ /* Ieee/symbol.scm 290 */
BgL_pairz00_1607 = BgL_plz00_1131; }  else 
{ 
 obj_t BgL_auxz00_2206;
BgL_auxz00_2206 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(11842L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_plz00_1131); 
FAILURE(BgL_auxz00_2206,BFALSE,BFALSE);} 
BgL_tmpz00_2203 = 
CAR(BgL_pairz00_1607); } 
BgL_test1837z00_2202 = 
(BgL_tmpz00_2203==BgL_keyz00_17); } 
if(BgL_test1837z00_2202)
{ /* Ieee/symbol.scm 291 */
 obj_t BgL_arg1226z00_1140;
{ /* Ieee/symbol.scm 291 */
 obj_t BgL_pairz00_1608;
if(
PAIRP(BgL_plz00_1131))
{ /* Ieee/symbol.scm 291 */
BgL_pairz00_1608 = BgL_plz00_1131; }  else 
{ 
 obj_t BgL_auxz00_2214;
BgL_auxz00_2214 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(11873L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_plz00_1131); 
FAILURE(BgL_auxz00_2214,BFALSE,BFALSE);} 
BgL_arg1226z00_1140 = 
CDR(BgL_pairz00_1608); } 
{ /* Ieee/symbol.scm 291 */
 obj_t BgL_pairz00_1609;
if(
PAIRP(BgL_arg1226z00_1140))
{ /* Ieee/symbol.scm 291 */
BgL_pairz00_1609 = BgL_arg1226z00_1140; }  else 
{ 
 obj_t BgL_auxz00_2221;
BgL_auxz00_2221 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(11875L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_arg1226z00_1140); 
FAILURE(BgL_auxz00_2221,BFALSE,BFALSE);} 
return 
SET_CAR(BgL_pairz00_1609, BgL_valz00_18);} }  else 
{ /* Ieee/symbol.scm 293 */
 obj_t BgL_arg1230z00_1141;
{ /* Ieee/symbol.scm 293 */
 obj_t BgL_pairz00_1610;
if(
PAIRP(BgL_plz00_1131))
{ /* Ieee/symbol.scm 293 */
BgL_pairz00_1610 = BgL_plz00_1131; }  else 
{ 
 obj_t BgL_auxz00_2228;
BgL_auxz00_2228 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(11914L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_plz00_1131); 
FAILURE(BgL_auxz00_2228,BFALSE,BFALSE);} 
{ /* Ieee/symbol.scm 293 */
 obj_t BgL_pairz00_1613;
{ /* Ieee/symbol.scm 293 */
 obj_t BgL_aux1689z00_1921;
BgL_aux1689z00_1921 = 
CDR(BgL_pairz00_1610); 
if(
PAIRP(BgL_aux1689z00_1921))
{ /* Ieee/symbol.scm 293 */
BgL_pairz00_1613 = BgL_aux1689z00_1921; }  else 
{ 
 obj_t BgL_auxz00_2235;
BgL_auxz00_2235 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(11908L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_aux1689z00_1921); 
FAILURE(BgL_auxz00_2235,BFALSE,BFALSE);} } 
BgL_arg1230z00_1141 = 
CDR(BgL_pairz00_1613); } } 
{ 
 obj_t BgL_plz00_2240;
BgL_plz00_2240 = BgL_arg1230z00_1141; 
BgL_plz00_1131 = BgL_plz00_2240; 
goto BgL_zc3z04anonymousza31214ze3z87_1132;} } } } }  else 
{ /* Ieee/symbol.scm 281 */
BGL_TAIL return 
BGl_errorz00zz__errorz00(BGl_string1742z00zz__r4_symbols_6_4z00, BGl_string1740z00zz__r4_symbols_6_4z00, BgL_symbolz00_16);} } } 

}



/* &putprop! */
obj_t BGl_z62putpropz12z70zz__r4_symbols_6_4z00(obj_t BgL_envz00_1856, obj_t BgL_symbolz00_1857, obj_t BgL_keyz00_1858, obj_t BgL_valz00_1859)
{
{ /* Ieee/symbol.scm 280 */
return 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symbolz00_1857, BgL_keyz00_1858, BgL_valz00_1859);} 

}



/* remprop! */
BGL_EXPORTED_DEF obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_19, obj_t BgL_keyz00_20)
{
{ /* Ieee/symbol.scm 299 */
{ /* Ieee/symbol.scm 300 */
 bool_t BgL_test1843z00_2243;
if(
SYMBOLP(BgL_symbolz00_19))
{ /* Ieee/symbol.scm 300 */
BgL_test1843z00_2243 = ((bool_t)1)
; }  else 
{ /* Ieee/symbol.scm 300 */
BgL_test1843z00_2243 = 
KEYWORDP(BgL_symbolz00_19)
; } 
if(BgL_test1843z00_2243)
{ /* Ieee/symbol.scm 301 */
 obj_t BgL_g1043z00_1148;
if(
SYMBOLP(BgL_symbolz00_19))
{ /* Ieee/symbol.scm 253 */
BgL_g1043z00_1148 = 
GET_SYMBOL_PLIST(BgL_symbolz00_19); }  else 
{ /* Ieee/symbol.scm 253 */
if(
KEYWORDP(BgL_symbolz00_19))
{ /* Ieee/symbol.scm 255 */
BgL_g1043z00_1148 = 
GET_KEYWORD_PLIST(BgL_symbolz00_19); }  else 
{ /* Ieee/symbol.scm 255 */
BgL_g1043z00_1148 = 
BGl_errorz00zz__errorz00(BGl_string1739z00zz__r4_symbols_6_4z00, BGl_string1740z00zz__r4_symbols_6_4z00, BgL_symbolz00_19); } } 
{ 
 obj_t BgL_oldz00_1150; obj_t BgL_lz00_1151;
BgL_oldz00_1150 = BNIL; 
BgL_lz00_1151 = BgL_g1043z00_1148; 
BgL_zc3z04anonymousza31234ze3z87_1152:
if(
NULLP(BgL_lz00_1151))
{ /* Ieee/symbol.scm 304 */
return BFALSE;}  else 
{ /* Ieee/symbol.scm 306 */
 bool_t BgL_test1848z00_2256;
{ /* Ieee/symbol.scm 306 */
 obj_t BgL_tmpz00_2257;
{ /* Ieee/symbol.scm 306 */
 obj_t BgL_pairz00_1616;
if(
PAIRP(BgL_lz00_1151))
{ /* Ieee/symbol.scm 306 */
BgL_pairz00_1616 = BgL_lz00_1151; }  else 
{ 
 obj_t BgL_auxz00_2260;
BgL_auxz00_2260 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(12416L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_lz00_1151); 
FAILURE(BgL_auxz00_2260,BFALSE,BFALSE);} 
BgL_tmpz00_2257 = 
CAR(BgL_pairz00_1616); } 
BgL_test1848z00_2256 = 
(BgL_tmpz00_2257==BgL_keyz00_20); } 
if(BgL_test1848z00_2256)
{ /* Ieee/symbol.scm 306 */
if(
PAIRP(BgL_oldz00_1150))
{ /* Ieee/symbol.scm 309 */
 obj_t BgL_arg1239z00_1157; obj_t BgL_arg1241z00_1158;
BgL_arg1239z00_1157 = 
CDR(BgL_oldz00_1150); 
{ /* Ieee/symbol.scm 309 */
 obj_t BgL_pairz00_1618;
if(
PAIRP(BgL_lz00_1151))
{ /* Ieee/symbol.scm 309 */
BgL_pairz00_1618 = BgL_lz00_1151; }  else 
{ 
 obj_t BgL_auxz00_2271;
BgL_auxz00_2271 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(12483L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_lz00_1151); 
FAILURE(BgL_auxz00_2271,BFALSE,BFALSE);} 
{ /* Ieee/symbol.scm 309 */
 obj_t BgL_pairz00_1621;
{ /* Ieee/symbol.scm 309 */
 obj_t BgL_aux1695z00_1927;
BgL_aux1695z00_1927 = 
CDR(BgL_pairz00_1618); 
if(
PAIRP(BgL_aux1695z00_1927))
{ /* Ieee/symbol.scm 309 */
BgL_pairz00_1621 = BgL_aux1695z00_1927; }  else 
{ 
 obj_t BgL_auxz00_2278;
BgL_auxz00_2278 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(12477L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_aux1695z00_1927); 
FAILURE(BgL_auxz00_2278,BFALSE,BFALSE);} } 
BgL_arg1241z00_1158 = 
CDR(BgL_pairz00_1621); } } 
{ /* Ieee/symbol.scm 309 */
 obj_t BgL_pairz00_1622;
if(
PAIRP(BgL_arg1239z00_1157))
{ /* Ieee/symbol.scm 309 */
BgL_pairz00_1622 = BgL_arg1239z00_1157; }  else 
{ 
 obj_t BgL_auxz00_2285;
BgL_auxz00_2285 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(12475L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_arg1239z00_1157); 
FAILURE(BgL_auxz00_2285,BFALSE,BFALSE);} 
return 
SET_CDR(BgL_pairz00_1622, BgL_arg1241z00_1158);} }  else 
{ /* Ieee/symbol.scm 308 */
if(
SYMBOLP(BgL_symbolz00_19))
{ /* Ieee/symbol.scm 312 */
 obj_t BgL_arg1248z00_1160;
{ /* Ieee/symbol.scm 312 */
 obj_t BgL_pairz00_1623;
if(
PAIRP(BgL_lz00_1151))
{ /* Ieee/symbol.scm 312 */
BgL_pairz00_1623 = BgL_lz00_1151; }  else 
{ 
 obj_t BgL_auxz00_2294;
BgL_auxz00_2294 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(12561L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_lz00_1151); 
FAILURE(BgL_auxz00_2294,BFALSE,BFALSE);} 
{ /* Ieee/symbol.scm 312 */
 obj_t BgL_pairz00_1626;
{ /* Ieee/symbol.scm 312 */
 obj_t BgL_aux1701z00_1933;
BgL_aux1701z00_1933 = 
CDR(BgL_pairz00_1623); 
if(
PAIRP(BgL_aux1701z00_1933))
{ /* Ieee/symbol.scm 312 */
BgL_pairz00_1626 = BgL_aux1701z00_1933; }  else 
{ 
 obj_t BgL_auxz00_2301;
BgL_auxz00_2301 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(12555L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_aux1701z00_1933); 
FAILURE(BgL_auxz00_2301,BFALSE,BFALSE);} } 
BgL_arg1248z00_1160 = 
CDR(BgL_pairz00_1626); } } 
return 
SET_SYMBOL_PLIST(BgL_symbolz00_19, BgL_arg1248z00_1160);}  else 
{ /* Ieee/symbol.scm 313 */
 obj_t BgL_arg1249z00_1161;
{ /* Ieee/symbol.scm 313 */
 obj_t BgL_pairz00_1627;
if(
PAIRP(BgL_lz00_1151))
{ /* Ieee/symbol.scm 313 */
BgL_pairz00_1627 = BgL_lz00_1151; }  else 
{ 
 obj_t BgL_auxz00_2309;
BgL_auxz00_2309 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(12605L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_lz00_1151); 
FAILURE(BgL_auxz00_2309,BFALSE,BFALSE);} 
{ /* Ieee/symbol.scm 313 */
 obj_t BgL_pairz00_1630;
{ /* Ieee/symbol.scm 313 */
 obj_t BgL_aux1705z00_1937;
BgL_aux1705z00_1937 = 
CDR(BgL_pairz00_1627); 
if(
PAIRP(BgL_aux1705z00_1937))
{ /* Ieee/symbol.scm 313 */
BgL_pairz00_1630 = BgL_aux1705z00_1937; }  else 
{ 
 obj_t BgL_auxz00_2316;
BgL_auxz00_2316 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(12599L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_aux1705z00_1937); 
FAILURE(BgL_auxz00_2316,BFALSE,BFALSE);} } 
BgL_arg1249z00_1161 = 
CDR(BgL_pairz00_1630); } } 
return 
SET_KEYWORD_PLIST(BgL_symbolz00_19, BgL_arg1249z00_1161);} } }  else 
{ /* Ieee/symbol.scm 315 */
 obj_t BgL_arg1252z00_1162;
{ /* Ieee/symbol.scm 315 */
 obj_t BgL_pairz00_1631;
if(
PAIRP(BgL_lz00_1151))
{ /* Ieee/symbol.scm 315 */
BgL_pairz00_1631 = BgL_lz00_1151; }  else 
{ 
 obj_t BgL_auxz00_2324;
BgL_auxz00_2324 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(12646L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_lz00_1151); 
FAILURE(BgL_auxz00_2324,BFALSE,BFALSE);} 
{ /* Ieee/symbol.scm 315 */
 obj_t BgL_pairz00_1634;
{ /* Ieee/symbol.scm 315 */
 obj_t BgL_aux1709z00_1941;
BgL_aux1709z00_1941 = 
CDR(BgL_pairz00_1631); 
if(
PAIRP(BgL_aux1709z00_1941))
{ /* Ieee/symbol.scm 315 */
BgL_pairz00_1634 = BgL_aux1709z00_1941; }  else 
{ 
 obj_t BgL_auxz00_2331;
BgL_auxz00_2331 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(12640L), BGl_string1741z00zz__r4_symbols_6_4z00, BGl_string1730z00zz__r4_symbols_6_4z00, BgL_aux1709z00_1941); 
FAILURE(BgL_auxz00_2331,BFALSE,BFALSE);} } 
BgL_arg1252z00_1162 = 
CDR(BgL_pairz00_1634); } } 
{ 
 obj_t BgL_lz00_2337; obj_t BgL_oldz00_2336;
BgL_oldz00_2336 = BgL_lz00_1151; 
BgL_lz00_2337 = BgL_arg1252z00_1162; 
BgL_lz00_1151 = BgL_lz00_2337; 
BgL_oldz00_1150 = BgL_oldz00_2336; 
goto BgL_zc3z04anonymousza31234ze3z87_1152;} } } } }  else 
{ /* Ieee/symbol.scm 300 */
return 
BGl_errorz00zz__errorz00(BGl_string1742z00zz__r4_symbols_6_4z00, BGl_string1740z00zz__r4_symbols_6_4z00, BgL_symbolz00_19);} } } 

}



/* &remprop! */
obj_t BGl_z62rempropz12z70zz__r4_symbols_6_4z00(obj_t BgL_envz00_1860, obj_t BgL_symbolz00_1861, obj_t BgL_keyz00_1862)
{
{ /* Ieee/symbol.scm 299 */
return 
BGl_rempropz12z12zz__r4_symbols_6_4z00(BgL_symbolz00_1861, BgL_keyz00_1862);} 

}



/* keyword? */
BGL_EXPORTED_DEF bool_t BGl_keywordzf3zf3zz__r4_symbols_6_4z00(obj_t BgL_objz00_21)
{
{ /* Ieee/symbol.scm 321 */
return 
KEYWORDP(BgL_objz00_21);} 

}



/* &keyword? */
obj_t BGl_z62keywordzf3z91zz__r4_symbols_6_4z00(obj_t BgL_envz00_1863, obj_t BgL_objz00_1864)
{
{ /* Ieee/symbol.scm 321 */
return 
BBOOL(
BGl_keywordzf3zf3zz__r4_symbols_6_4z00(BgL_objz00_1864));} 

}



/* keyword->string */
BGL_EXPORTED_DEF obj_t BGl_keywordzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t BgL_keywordz00_22)
{
{ /* Ieee/symbol.scm 327 */
{ /* Ieee/symbol.scm 328 */
 obj_t BgL_arg1254z00_1955;
BgL_arg1254z00_1955 = 
KEYWORD_TO_STRING(BgL_keywordz00_22); 
return 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1254z00_1955);} } 

}



/* &keyword->string */
obj_t BGl_z62keywordzd2ze3stringz53zz__r4_symbols_6_4z00(obj_t BgL_envz00_1865, obj_t BgL_keywordz00_1866)
{
{ /* Ieee/symbol.scm 327 */
{ /* Ieee/symbol.scm 328 */
 obj_t BgL_auxz00_2345;
if(
KEYWORDP(BgL_keywordz00_1866))
{ /* Ieee/symbol.scm 328 */
BgL_auxz00_2345 = BgL_keywordz00_1866
; }  else 
{ 
 obj_t BgL_auxz00_2348;
BgL_auxz00_2348 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(13286L), BGl_string1743z00zz__r4_symbols_6_4z00, BGl_string1744z00zz__r4_symbols_6_4z00, BgL_keywordz00_1866); 
FAILURE(BgL_auxz00_2348,BFALSE,BFALSE);} 
return 
BGl_keywordzd2ze3stringz31zz__r4_symbols_6_4z00(BgL_auxz00_2345);} } 

}



/* keyword->string! */
BGL_EXPORTED_DEF obj_t BGl_keywordzd2ze3stringz12z23zz__r4_symbols_6_4z00(obj_t BgL_keywordz00_23)
{
{ /* Ieee/symbol.scm 333 */
return 
KEYWORD_TO_STRING(BgL_keywordz00_23);} 

}



/* &keyword->string! */
obj_t BGl_z62keywordzd2ze3stringz12z41zz__r4_symbols_6_4z00(obj_t BgL_envz00_1867, obj_t BgL_keywordz00_1868)
{
{ /* Ieee/symbol.scm 333 */
{ /* Ieee/symbol.scm 334 */
 obj_t BgL_auxz00_2354;
if(
KEYWORDP(BgL_keywordz00_1868))
{ /* Ieee/symbol.scm 334 */
BgL_auxz00_2354 = BgL_keywordz00_1868
; }  else 
{ 
 obj_t BgL_auxz00_2357;
BgL_auxz00_2357 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(13584L), BGl_string1745z00zz__r4_symbols_6_4z00, BGl_string1744z00zz__r4_symbols_6_4z00, BgL_keywordz00_1868); 
FAILURE(BgL_auxz00_2357,BFALSE,BFALSE);} 
return 
BGl_keywordzd2ze3stringz12z23zz__r4_symbols_6_4z00(BgL_auxz00_2354);} } 

}



/* string->keyword */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t BgL_stringz00_24)
{
{ /* Ieee/symbol.scm 339 */
BGL_TAIL return 
bstring_to_keyword(BgL_stringz00_24);} 

}



/* &string->keyword */
obj_t BGl_z62stringzd2ze3keywordz53zz__r4_symbols_6_4z00(obj_t BgL_envz00_1869, obj_t BgL_stringz00_1870)
{
{ /* Ieee/symbol.scm 339 */
{ /* Ieee/symbol.scm 342 */
 obj_t BgL_auxz00_2363;
if(
STRINGP(BgL_stringz00_1870))
{ /* Ieee/symbol.scm 342 */
BgL_auxz00_2363 = BgL_stringz00_1870
; }  else 
{ 
 obj_t BgL_auxz00_2366;
BgL_auxz00_2366 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(13931L), BGl_string1746z00zz__r4_symbols_6_4z00, BGl_string1726z00zz__r4_symbols_6_4z00, BgL_stringz00_1870); 
FAILURE(BgL_auxz00_2366,BFALSE,BFALSE);} 
return 
BGl_stringzd2ze3keywordz31zz__r4_symbols_6_4z00(BgL_auxz00_2363);} } 

}



/* symbol->keyword */
BGL_EXPORTED_DEF obj_t BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_25)
{
{ /* Ieee/symbol.scm 349 */
{ /* Ieee/symbol.scm 350 */
 obj_t BgL_arg1258z00_1636;
{ /* Ieee/symbol.scm 174 */
 obj_t BgL_arg1163z00_1638;
BgL_arg1163z00_1638 = 
SYMBOL_TO_STRING(BgL_symbolz00_25); 
BgL_arg1258z00_1636 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1163z00_1638); } 
return 
bstring_to_keyword(BgL_arg1258z00_1636);} } 

}



/* &symbol->keyword */
obj_t BGl_z62symbolzd2ze3keywordz53zz__r4_symbols_6_4z00(obj_t BgL_envz00_1871, obj_t BgL_symbolz00_1872)
{
{ /* Ieee/symbol.scm 349 */
{ /* Ieee/symbol.scm 350 */
 obj_t BgL_auxz00_2374;
if(
SYMBOLP(BgL_symbolz00_1872))
{ /* Ieee/symbol.scm 350 */
BgL_auxz00_2374 = BgL_symbolz00_1872
; }  else 
{ 
 obj_t BgL_auxz00_2377;
BgL_auxz00_2377 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(14285L), BGl_string1747z00zz__r4_symbols_6_4z00, BGl_string1723z00zz__r4_symbols_6_4z00, BgL_symbolz00_1872); 
FAILURE(BgL_auxz00_2377,BFALSE,BFALSE);} 
return 
BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(BgL_auxz00_2374);} } 

}



/* keyword->symbol */
BGL_EXPORTED_DEF obj_t BGl_keywordzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t BgL_keywordz00_26)
{
{ /* Ieee/symbol.scm 355 */
{ /* Ieee/symbol.scm 356 */
 obj_t BgL_arg1259z00_1640;
{ /* Ieee/symbol.scm 328 */
 obj_t BgL_arg1254z00_1642;
BgL_arg1254z00_1642 = 
KEYWORD_TO_STRING(BgL_keywordz00_26); 
BgL_arg1259z00_1640 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1254z00_1642); } 
return 
bstring_to_symbol(BgL_arg1259z00_1640);} } 

}



/* &keyword->symbol */
obj_t BGl_z62keywordzd2ze3symbolz53zz__r4_symbols_6_4z00(obj_t BgL_envz00_1873, obj_t BgL_keywordz00_1874)
{
{ /* Ieee/symbol.scm 355 */
{ /* Ieee/symbol.scm 356 */
 obj_t BgL_auxz00_2385;
if(
KEYWORDP(BgL_keywordz00_1874))
{ /* Ieee/symbol.scm 356 */
BgL_auxz00_2385 = BgL_keywordz00_1874
; }  else 
{ 
 obj_t BgL_auxz00_2388;
BgL_auxz00_2388 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1721z00zz__r4_symbols_6_4z00, 
BINT(14587L), BGl_string1748z00zz__r4_symbols_6_4z00, BGl_string1744z00zz__r4_symbols_6_4z00, BgL_keywordz00_1874); 
FAILURE(BgL_auxz00_2388,BFALSE,BFALSE);} 
return 
BGl_keywordzd2ze3symbolz31zz__r4_symbols_6_4z00(BgL_auxz00_2385);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__r4_symbols_6_4z00(void)
{
{ /* Ieee/symbol.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__r4_symbols_6_4z00(void)
{
{ /* Ieee/symbol.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__r4_symbols_6_4z00(void)
{
{ /* Ieee/symbol.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00(void)
{
{ /* Ieee/symbol.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string1749z00zz__r4_symbols_6_4z00)); 
return 
BGl_modulezd2initializa7ationz75zz__paramz00(453939141L, 
BSTRING_TO_STRING(BGl_string1749z00zz__r4_symbols_6_4z00));} 

}

#ifdef __cplusplus
}
#endif
